Bug 188828 - CVE-2006-1732 cross-site scripting through window.controllers
Summary: CVE-2006-1732 cross-site scripting through window.controllers
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:27 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0328
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 13:47:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0328 normal SHIPPED_LIVE Critical: firefox security update 2006-04-14 04:00:00 UTC

Description Josh Bressers 2006-04-13 03:27:26 UTC
cross-site scripting through window.controllers


shutdown demonstrated how to use the window.controllers array to bypass
same-origin protections, allowing a malicious site to inject script into
content from another site. This could allow the malicious page to steal
information such as cookies or passwords from the other site, or perform
transactions on the user's behalf if the user were already logged in.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a version containing the fix.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=313373

Comment 2 Josh Bressers 2006-04-14 14:59:32 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-14 15:50:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html


Comment 5 Red Hat Bugzilla 2006-04-25 13:47:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html



Note You need to log in before you can comment on or make changes to this bug.